This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 733487 - Search bar saved searches menu ignores clicks
Search bar saved searches menu ignores clicks
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.1
All All
medium Severity low (vote)
: ---
: ---
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks: rhq41-ui rhq-uxd
  Show dependency treegraph
 
Reported: 2011-08-25 15:28 EDT by Jay Shaughnessy
Modified: 2013-09-01 15:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:23:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-08-25 15:28:12 EDT
Search bar saved searches menu ignores clicks

1) Create at least two saved search for the search bar, A and B.

2) Open the menu (click the the down arrow in the menu bar)

3) click on A to set it as the current search

4) Again open the menu (click the the down arrow in the menu bar)

5) click on B to set it as the current search

The click is ignored and the menu disappears.


Workaround: Open the menu again and it will work on the second try.
Comment 1 Jay Shaughnessy 2011-08-25 15:48:57 EDT
I've tried to get around this several ways but smartgwt seems to be 
eating the onClick event.  Note that onMouseOver/onMouseOut events are 
reported successfully.  It seems only that onClick is never invoked. 

This problem is almost definitely due to the use of GWT widgets in a
SmartGWT app. There are several mentions in the SmartGWT forums to
avoid what we're doing, and specifically one entry complaining of the
same situation:

http://forums.smartclient.com/showthread.php?t=6484&highlight=PopupPanel+onClick

I don't think there is a solution keeping with our current
implementation.  The solution would be to re-implement the SearchBar 
without PopupPanels, and use SmartGwt windows.

The workaround is easy, the next time the window opens it will work
as expected. It seems to eat every second click.
Comment 2 Mike Thompson 2012-07-30 21:06:08 EDT
Master commit: be31334

This turned out being a replacement of the GWT search bar with a smartGWT version that avoids the mixing weirdness associated with GWT and smartGWT as outlined above. Should be fully tested as it is a rewrite of the old search bar.
Comment 3 Heiko W. Rupp 2013-09-01 15:23:00 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.